Bug 211275 - xircom_cb does not unload (unregister_netdev waiting for eth0 to become free) or get new IP properly
xircom_cb does not unload (unregister_netdev waiting for eth0 to become free)...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-10-18 08:12 EDT by Bruce Allen
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-07 17:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruce Allen 2006-10-18 08:12:05 EDT
Description of problem:

Problem not present with 2.6.15.  Problem present in 2.6.17 and 2.6.18.

I am using xircom_cb with a Xircom RBEM56G-100 card.  I can assign IP
information to the ethernet port exactly once.  After that, any attempt to
assign new IP info fails.  A reboot is required to change the IP!

Any attempt to unload the card results in a steady stream of messages:
unregister_netdevice: waiting for eth0 to become free.

Version-Release number of selected component (if applicable):

Updated stock FC5

How reproducible:

Steps to Reproduce:
1.  dhclient eth0   (gets IP)
2.  plug into a different DHCP server
3.  killall dhclient; dhclient eth0 (FAILS)
4.  pccardctl eject 0 (produces unregister_netdev errors)

I am using the latest pcmciautils package.
Kernel has acpi=off
I have seen the 'udev hang on boot' error one time with 2.6.18, but it
is not reproducible.
Comment 1 John W. Linville 2006-10-25 11:22:08 EDT
Fedora-netdev kernels are available here:


Please give those a try to verify that this problem continues to exist there, 
and post the results here...thanks!
Comment 2 John W. Linville 2007-08-07 17:22:47 EDT
Closed due to lack of response...please reopen if/when the requested info 
becomes available.

Note You need to log in before you can comment on or make changes to this bug.